/* -*- c++ -*-
FILE: Preferences.h
RCS REVISION: $Revision: 1.8 $

COPYRIGHT: (c) 1999 -- 2003 Melinda Green, Don Hatch, and Jay Berkenbilt - Superliminal Software

LICENSE: Free to use and modify for non-commercial purposes as long as the
    following conditions are adhered to:
    1) Obvious credit for the source of this code and the designs it embodies
       are clearly made, and
    2) Ports and derived versions of 4D Magic Cube programs are not distributed
       without the express written permission of the authors.

DESCRIPTION:
    This class provides an interface for getting user preferences.  It
    has the special case "length" which refers to the number of pieces
    per edge in the puzzle.  With the exception of the "length"
    special case, this class is loosly based on the Java Properties
    class.
*/

#ifndef PREFERENCES_H
#define PREFERENCES_H

#include "MagicCube.h"

class Preferences
{
public:
    Preferences();

    bool getBoolProperty(char* name, bool def = false);
    char* getStringProperty(char* name, char* def = 0);
    int getIntProperty(char* name, int def);
    real getRealProperty(char* name, real def);

    void setLength(int);
    int getLength();

private:
    int length;
};

#endif

// Local Variables:
// c-basic-offset: 4
// c-comment-only-line-offset: 0
// c-file-offsets: ((defun-block-intro . +) (block-open . 0) (substatement-open . 0) (statement-cont . +) (statement-case-open . +4) (arglist-intro . +) (arglist-close . +) (inline-open . 0))
// indent-tabs-mode: nil
// End:
